Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I got this error when I was trying to install ubuntu-keyring:

symbol lookup error: /usr/local/lib/libreadline.so.6: undefined symbol: UP

What kind of error is it? What does libreadline.so.6 do?

share|improve this question
    
libreadline can be used to create command-line user interfaces. Have you manually changed the files/links to libreadline, or have you changed your repositories? There is someone with a similar error. But back the files up before you delete something: ubuntuforums.org/showthread.php?t=269022 –  Benjamin Maurer Dec 26 '12 at 18:55
    
@Ben I've never heard this library since I installed postgresql by source. I had same problem to install that library but at the end I solved or I believed it. <br/> I saw that link before and I wanted leave for the worst case beacuse I'm afraid that postgresql will not work and I'm doing a project on it. <br/> Thank you so much for your help! –  DarkCoffee Dec 26 '12 at 19:25
    
Apparently while you were building postgressql, you also build a local version of libreadline that is an incompatible version. You should remove it. –  psusi Dec 26 '12 at 19:30
    
@psusi thank you for your answer. Can I remove it like in the link posted by Ben? How can I understand the two version? What will happen If I remove the right libreadline.so.6? –  DarkCoffee Dec 26 '12 at 22:35
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Browse other questions tagged or ask your own question.